Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.relaxng.datatype
Class DatatypeException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.relaxng.datatype.DatatypeException

All Implemented Interfaces:
  java.io.Serializable

public class DatatypeException
extends java.lang.Exception

Signals Datatype related exceptions.

Author:
  James Clark, Kohsuke KAWAGUCHI
See Also:
  Serialized Form

Field Summary
`static int` | `UNKNOWN`

Constructor Summary
`DatatypeException()` A constructor for those datatype libraries which don't support any diagnostic information at all.
`DatatypeException(int index, java.lang.String msg)`
`DatatypeException(java.lang.String msg)`

Method Summary
`int` | `getIndex()` Gets the index of the content where the error occured.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### UNKNOWN

    public static final int UNKNOWN

See Also:
  Constant Field Values

Constructor Detail

### DatatypeException

    public DatatypeException(int index,
                             java.lang.String msg)

### DatatypeException

    public DatatypeException(java.lang.String msg)

### DatatypeException

    public DatatypeException()

  A constructor for those datatype libraries which don't support any diagnostic information at all.

Method Detail

### getIndex

    public int getIndex()

  Gets the index of the content where the error occured. UNKNOWN can be returned to indicate that no index information is available.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD